<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage  Onjob
 * @since  Onjob 1.0.0
 */

$wp_customize->add_section( 'onjob_breadcrumb',
	array(
		'title'             => esc_html__( 'Breadcrumb','onjob' ),
		'description'       => esc_html__( 'Breadcrumb section options.', 'onjob' ),
		'panel'             => 'onjob_theme_options_panel',
	)
);

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'onjob_theme_options[breadcrumb_enable]',
	array(
		'sanitize_callback' => 'onjob_sanitize_switch_control',
		'default'          	=> $options['breadcrumb_enable'],
	)
);

$wp_customize->add_control( new  Onjob_Switch_Control( $wp_customize,
	'onjob_theme_options[breadcrumb_enable]',
		array(
			'label'            	=> esc_html__( 'Enable Breadcrumb', 'onjob' ),
			'section'          	=> 'onjob_breadcrumb',
			'on_off_label' 		=> onjob_switch_options(),
		)
	)
);

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'onjob_theme_options[breadcrumb_separator]',
	array(
		'sanitize_callback'	=> 'sanitize_text_field',
		'default'          	=> $options['breadcrumb_separator'],
	)
);

$wp_customize->add_control( 'onjob_theme_options[breadcrumb_separator]',
	array(
		'label'            	=> esc_html__( 'Separator', 'onjob' ),
		'active_callback' 	=> 'onjob_is_breadcrumb_enable',
		'section'          	=> 'onjob_breadcrumb',
	)
);
